Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.portlet.result
Class PortletResult

    java.lang.Object
      org.apache.struts2.dispatcher.StrutsResultSupport
          org.apache.struts2.portlet.result.PortletResult

All Implemented Interfaces:
  Result, Serializable, StrutsStatics

    public class PortletResult

extends StrutsResultSupport

Result type that includes a JSP to render.

See Also:
  Serialized Form

Nested Class Summary
`(package private) static class` | `PortletResult.IncludeTemplate`

Field Summary
`private String` | `contentType`
`private static Log` | `LOG` Logger instance.
`private static long` | `serialVersionUID`
`private String` | `title`

Fields inherited from class org.apache.struts2.dispatcher.StrutsResultSupport
`DEFAULT_PARAM`

Fields inherited from interface org.apache.struts2.StrutsStatics
`HTTP_REQUEST, HTTP_RESPONSE, PAGE_CONTEXT, SERVLET_CONTEXT, SERVLET_DISPATCHER, STRUTS_PORTLET_CONTEXT`

Constructor Summary
`PortletResult()`
`PortletResult(String location)`

Method Summary
`protected static void` | `convertQueryParamsToRenderParams(javax.portlet.ActionResponse response, String queryParams)` Converts the query params to render params.
`void` | `doExecute(String finalLocation, ActionInvocation actionInvocation)` Execute the result.
`protected void` | `executeActionResult(String finalLocation, ActionInvocation invocation)` Executes the action result.
`private void` | `executeRegularServletResult(String finalLocation, ActionInvocation actionInvocation)` Executes the regular servlet result.
`protected void` | `executeRenderResult(String finalLocation)` Executes the render result.
`void` | `setContentType(String contentType)` Sets the content type.
`void` | `setTitle(String title)` Sets the title.

Methods inherited from class org.apache.struts2.dispatcher.StrutsResultSupport
`conditionalParse, execute, getLastFinalLocation, setEncode, setLocation, setParse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### LOG

    private static final Log LOG

  Logger instance.

### contentType

    private String contentType

### title

    private String title

Constructor Detail

### PortletResult

    public PortletResult()

### PortletResult

    public PortletResult(String location)

Method Detail

### doExecute

    public void doExecute(String finalLocation,
                          ActionInvocation actionInvocation)
                   throws Exception

  Execute the result. Obtains the `PortletRequestDispatcher`from the `PortletActionContext`and includes the JSP.

  Specified by:
    `doExecute` in class `StrutsResultSupport`
  Parameters:
    `finalLocation` - the location (jsp page, action, etc) to go to.
    `actionInvocation` - the execution state of the action.
  Throws:
    `Exception` - if an error occurs while executing the result.
  See Also:
    `Result.execute(com.opensymphony.xwork2.ActionInvocation)`

### executeRegularServletResult

    private void executeRegularServletResult(String finalLocation,
                                             ActionInvocation actionInvocation)
                                      throws ServletException,
                                             IOException

  Executes the regular servlet result.

  Parameters:
    `finalLocation` -
    `actionInvocation` -
  Throws:
    `ServletException`
    `IOException`

### executeActionResult

    protected void executeActionResult(String finalLocation,
                                       ActionInvocation invocation)

  Executes the action result.

  Parameters:
    `finalLocation` -
    `invocation` -

### convertQueryParamsToRenderParams

    protected static void convertQueryParamsToRenderParams(javax.portlet.ActionResponse response,
                                                           String queryParams)

  Converts the query params to render params.

  Parameters:
    `response` -
    `queryParams` -

### executeRenderResult

    protected void executeRenderResult(String finalLocation)
                                throws javax.portlet.PortletException,
                                       IOException

  Executes the render result.

  Parameters:
    `finalLocation` -
  Throws:
    `javax.portlet.PortletException`
    `IOException`

### setContentType

    public void setContentType(String contentType)

  Sets the content type.

  Parameters:
    `contentType` - The content type to set.

### setTitle

    public void setTitle(String title)

  Sets the title.

  Parameters:
    `title` - The title to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.